Bi-directional switching (VE-WT-VE-WT) loses all changes on the third switch when using the Edit/Edit source tabs at the top of the page
Closed, ResolvedPublic1 Story Points

Description

Steps to reproduce:

  1. (We've figured out how to reproduce this everywhere.)
  2. Open a page in the visual editor. (Therefore, you are editing the whole page, not a section.)
  3. Make a change. Use the "Edit Source" tab at the top of the page to switch to the wikitext editor. Choose "Keep changes".
  4. Make a change. Use the "Edit" tab at the top of the page to switch to the visual editor. Choose "Keep changes".
  5. Make a change. Use the "Edit Source" tab at the top of the page to switch to the wikitext editor. Find that you are warned you will lose all your changes.
  6. Discover that all of your changes were lost – this time, but not any of the previous times.

This is consistently reproducible in 100% of attempts by following this exact process, both while logged in and while logged out/using a private browsing window, in multiple browsers and systems, but only if you use the tabs at the top of the page instead of the buttons in the toolbar.

Whatamidoing-WMF updated the task description. (Show Details)
Whatamidoing-WMF raised the priority of this task from to Needs Triage.
Whatamidoing-WMF added a project: VisualEditor.
Whatamidoing-WMF added a subscriber: Whatamidoing-WMF.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptJan 25 2016, 8:55 PM
Jdforrester-WMF renamed this task from Bi-directional switching (VE-WT-VE-WT) loses all changes on the third switch in Firefox 43 on Windows 10 (only) to Bi-directional switching (VE-WT-VE-WT) loses all changes on the third switch in Firefox 43 on Windows 10 (for one user).Jan 26 2016, 8:26 PM
Jdforrester-WMF changed the task status from Open to Stalled.
Jdforrester-WMF triaged this task as Normal priority.
Jdforrester-WMF set Security to None.
Jdforrester-WMF moved this task from To Triage to TR1: Releases on the VisualEditor board.
Whatamidoing-WMF renamed this task from Bi-directional switching (VE-WT-VE-WT) loses all changes on the third switch in Firefox 43 on Windows 10 (for one user) to Bi-directional switching (VE-WT-VE-WT) loses all changes on the third switch when using the Edit/Edit source tabs at the top of the page.Jan 27 2016, 7:31 PM
Whatamidoing-WMF updated the task description. (Show Details)
Elitre added a subscriber: Elitre.Jan 27 2016, 7:35 PM
Jdforrester-WMF changed the task status from Stalled to Open.Jan 27 2016, 10:11 PM
Jdforrester-WMF assigned this task to Krenair.

Edit vs. edit source implies to me that this is only with multiple tabs, not the single edit tab?

Change 266961 had a related patch set uploaded (by Alex Monk):
Run VE->WTE modification checks regardless of how the user got into VE

https://gerrit.wikimedia.org/r/266961

Change 266961 merged by jenkins-bot:
Run VE->WTE modification checks regardless of how the user got into VE

https://gerrit.wikimedia.org/r/266961

Krenair closed this task as Resolved.Feb 4 2016, 1:31 AM

Forgot to close this earlier... That should have fixed things. It's part of wmf.12 which is already deployed on group0/group1 wikis and is expected to be going to wikipedias later today.